Back to Reddit
Apify·Reddit

Pull Reddit Posts

/trudax/reddit-scraper-liteasync$0.01 / result

Pay Per Result, unlimited Reddit web scraper to crawl posts, comments, communities, and users without login. Limit web scraping by number of posts or items and extract all data in a dataset in multiple formats. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • startUrlsarray

    If you already have URL(s) of page(s) you wish to scrape, you can set them here. If you want to use the search field below, remove all startUrls here.

  • skipCommentsboolean

    This will skip scrapping comments when going through posts (default false)

  • skipUserPostsboolean

    This will skip scrapping user posts when going through user activity (default false)

  • skipCommunityboolean

    This will skip scrapping community info but will still get community posts if they were not skipped. (default false)

  • includeMediaLinksboolean

    This will include upVotes, upVoteRatio, imageUrls, videoUrls, and numberOfComments when scraping posts. Enabling this will use a more detailed extraction method, which may affect performance. (default false)

  • searchesarray

    Here you can provide a search query which will be used to search Reddit`s topics.

  • searchCommunityNamestring

    If provided, the search will be performed only inside this community (e.g., 'programming').

  • ignoreStartUrlsboolean

    Mainly used as a fix for ignoring starUrl on Zapier (default false)

  • searchPostsboolean

    Will search for posts with the provided search (default true)

  • searchCommentsboolean

    Will search for comments with the provided search (default false)

  • searchCommunitiesboolean

    Will search for communities with the provided search (default false)

  • searchUsersboolean

    Will search for users with the provided search (default false)

  • searchMediaboolean

    Will search for media with the provided search (default false)

  • sortstring

    Sort search by Relevance, Hot, Top, New or Comments (default "new")

    , relevance, hot, top, new, rising, comments

  • timestring

    Filter posts by last hour, week, day, month or year

    all, hour, day, week, month, year

  • includeNSFWboolean

    You can choose to include or exclude NSFW content from your search (default true)

  • maxItemsinteger

    The maximum number of items that will be saved in the dataset. If you are scrapping for Communities&Users, remember to consider that each category inside a community is saved as a separated item. (default 10)

  • maxPostCountinteger

    The maximum number of posts that will be scraped for each Posts Page or Communities&Users URL (default 10)

  • postDateLimitstring

    Use this value to only retrieve posts published after a specific date.

  • commentDateLimitstring

    Use this value to only retrieve comments published after a specific date inside a post.

  • maxCommentsinteger

    The maximum number of comments that will be scraped for each Comments Page. If you don't want to scrape comments you can set this to zero. (default 10)

  • maxCommunitiesCountinteger

    The maximum number of `Communities`'s pages that will be scraped if your search or startUrl is a Communities type. (default 2)

  • maxUserCountinteger

    The maximum number of `Users`'s pages that will be scraped. (default 2)

  • scrollTimeoutinteger

    Set the timeout in seconds in which the page will stop scrolling down to load new items (default 40)

  • navigationTimeoutinteger

    Set the navigation timeout in seconds for page loading (default 60)

  • proxyobject

    Either use Apify proxy, or provide your own proxy servers. (default {"useApifyProxy":true,"apifyProxyGroups":["RESIDENTIAL"]})

  • debugModeboolean

    Activate to see detailed logs (default false)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/trudax/reddit-scraper-lite","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.